Home

# Class goog.ui.TriStateMenuItem

Class representing a three state checkbox menu item.

extends goog.ui.MenuItem

Instance Method Summary
| `getCheckedState() ⇒ ?goog.ui.TriStateMenuItem.State`
| `performActionInternal(?goog.events.Event e) ⇒ boolean` Performs the appropriate action when the control is activated by the user. The default implementation first updates the checked and selected state of controls that support them, then dispatches an ACTION event. Considered protected; should only be used within this package and by subclasses.
| `setCheckedState(?goog.ui.TriStateMenuItem.State state)` Sets the checked state.
| `setCheckedState_(?goog.ui.TriStateMenuItem.State state)` Sets the checked state and updates the CSS styling. Dispatches a {@code CHECK} or {@code UNCHECK} event prior to changing the component's state, which may be caught and canceled to prevent the component from changing state.
| `updatedCheckedStateClassNames_()` Updates the extra class names applied to the menu item element.